SER(4)

NAME
ser - Amiga 8520 serial communications interface

SYNOPSIS
ser0 at mainbus0

DESCRIPTION
The Amiga 8520 controls, among other things, a single port EIA RS-232C (CCITT V.28) communications interface with a single character buffer. Such an interface is built-in to all Amiga machines.

Input and output for each line may set to one of following baud rates; 50, 75, 110, 134.5, 150, 300, 600, 1200, 1800, 2400, 4800, 9600, 19200, 38400, 57600 or 76800.

FILES

/dev/tty00

DIAGNOSTICS

ser0: silo overflow. The single-character input “silo” has overflowed and incoming data has been lost.

ser0: %d ring buffer overflows. The software based input ring buffer has overflowed %d times and incoming data has been lost.

SEE ALSO
tty(4)

HISTORY
The Amiga ser device first appeared in NetBSD 1.0

BUGS
Data loss is possible on busy systems with baud rates greater than 300.